/*-------------------------------------------------------------------------
 * 功能描述：ParsePipe
 * 作者：xulisong
 * 创建时间： 2019/6/13 16:54:19
 * 版本号：v1.0
 *  -------------------------------------------------------------------------*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Autodesk.Revit.DB.Plumbing;
using JBIM;
using RevitExport;
using JPipe=JBIM.Component.Pipe;

namespace RevitToJBim.ComponentParse
{
    public class ParsePipe : ParseBase
    {
        public override bool Match(ElementWrapper wrapper)
        {
            return wrapper.RefElement is Pipe;
        }

        protected override List<BimId> ParseInner(ElementWrapper wrapper, JBimParseContext context)
        {
            /*
             * 解析思路：1、解析当前对象具体信息。
             *           2、维护一些构件的关联管理关系，可以放在这个方法中，也可以放在ArrangeRefElements中
             *
             */
            if (!(wrapper.RefElement is Pipe pipe))
            {
                return null;
            }
            JPipe jPipe = new JPipe();   
            return null;
        }

        public override List<ElementWrapper> ArrangeRefElements(ElementWrapper wrapper, JBimParseContext context)
        {
            return base.ArrangeRefElements(wrapper, context);
        }
    }
}
